SDL_GetKeyboards(3)

NAME
SDL_GetKeyboards - Get a list of currently connected keyboards.

HEADER FILE
Defined in SDL3/SDL_keyboard.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_KeyboardID* SDL_GetKeyboards(int *count);

DESCRIPTION
Note that this will include any device or virtual driver that includes keyboard functionality, including some mice, KVM switches, motherboard power buttons, etc. You should wait for input from a device before you consider it actively in use.

FUNCTION PARAMETERS

count
    a pointer filled in with the number of keyboards returned

RETURN VALUE
Returns a 0 terminated array of keyboards instance IDs which should be freed with SDL_free (), or NULL on error; call SDL_GetError () for more details.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetKeyboardInstanceName(3), SDL_HasKeyboard(3)